#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	phaseDialogId ;
extern int	phaseOkBtnId ;
extern int	phaseOkchk() ;
extern int	phasePlayBtnId ;
extern int	phasePlay() ;
extern int	phaseUndoBtnId ;
extern int	phaseUndo() ;
extern int	phaseInfBtnId ;
extern int	phaseInf() ;
extern int	phaseCanBtnId ;
extern int	phaseCanchk() ;
extern int	phaseMesId[30] ;
extern int	phaseSubDialogId ;
extern int	phaseDelayNumId ;
extern int	phaseDelaySet() ;
extern int	phaseMainMixVolumeId ;
extern int	phaseMainMixSet() ;
extern int	phaseDelayMixVolumeId ;
extern int	phaseDelayMixSet() ;
extern int	phaseModu1NumId ;
extern int	phaseSpeed1NumId ;
extern int	phaseStart1NumId ;
extern int	phaseModu2NumId ;
extern int	phaseSpeed2NumId ;
extern int	phaseStart2NumId ;
extern int	phaseDelayVolumeId ;
extern int	phaseMainMixNumId ;
extern int	phaseDelayMixNumId ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataIOTPHA = { "MmiInit",  49, 0 } ;

/* phaseDialogId */

static MMIPACKET d001 = {	&phaseDialogId,
							NULL,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d001d = {	MS_BTLEFTL40 | MS_EVMOSONL40,
							  36,  46, 604, 434, 8, 4, 8,
							MS_SRECTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* phaseOkBtnId */

static MMIPACKET d002 = {	&phaseOkBtnId,
							&phaseDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d002d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							  56, 403, 117, 426,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							phaseOkchk,
							0x0000
						} ;

/* phasePlayBtnId */

static MMIPACKET d003 = {	&phasePlayBtnId,
							&phaseDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 126, 403, 187, 426, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							phasePlay,
							0x0000
						} ;

/* phaseUndoBtnId */

static MMIPACKET d004 = {	&phaseUndoBtnId,
							&phaseDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d004d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 196, 403, 257, 426, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							phaseUndo,
							0x0000
						} ;

/* phaseInfBtnId */

static MMIPACKET d005 = {	&phaseInfBtnId,
							&phaseDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d005d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 266, 403, 327, 426, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							phaseInf,
							0x0000
						} ;

/* phaseCanBtnId */

static MMIPACKET d006 = {	&phaseCanBtnId,
							&phaseDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d006d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 524, 403, 585, 426,10, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							phaseCanchk,
							0x0000
						} ;

/* phaseMesId[0] */

static MMIPACKET d007 = {	&phaseMesId[0],
							&phaseDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d007d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  66, 406, 109, 423, 8,15, 8,
							MS_NONEL40,
							"  s",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[1] */

static MMIPACKET d008 = {	&phaseMesId[1],
							&phaseDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d008d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 134, 406, 180, 423, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[2] */

static MMIPACKET d009 = {	&phaseMesId[2],
							&phaseDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d009d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 201, 406, 252, 423, 8,15, 8,
							MS_NONEL40,
							"AhD",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[17] */

static MMIPACKET d010 = {	&phaseMesId[17],
							&phaseDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d010d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 271, 406, 322, 423, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[3] */

static MMIPACKET d011 = {	&phaseMesId[3],
							&phaseDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d011d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 533, 406, 579, 423, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[4] */

static MMIPACKET d012 = {	&phaseMesId[4],
							&phaseDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d012d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  60,  49, 181,  66, 8,15, 8,
							MS_NONEL40,
							"tF[YVtg",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* phaseSubDialogId */

static MMIPACKET d013 = {	&phaseSubDialogId,
							&phaseDialogId,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d013d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_FIXEDL40,
							  56,  69, 585, 396, 8, 4, 8,
							MS_DFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* phaseDelayNumId */

static MMIPACKET d014 = {	&phaseDelayNumId,
							&phaseSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d014d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 514, 225, 569, 248, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							phaseDelaySet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0,-400, 400,   1,   0,
							 263, 264
						} ;

/* phaseMesId[5] */

static MMIPACKET d015 = {	&phaseMesId[5],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d015d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  81, 176, 354, 193, 0,15, 8,
							MS_NONEL40,
							"tF[YVtgƃIWi̊Ԋu",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* phaseMesId[6] */

static MMIPACKET d016 = {	&phaseMesId[6],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d016d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 369,  81, 486,  98, 0,15, 8,
							MS_NONEL40,
							"~LVO[g",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* phaseMainMixVolumeId */

static MMIPACKET d017 = {	&phaseMainMixVolumeId,
							&phaseSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d017d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 348, 107, 507, 122, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							phaseMainMixSet,
							  65,   0, 100,   8,   8,
							 265, 266
						} ;

/* phaseMesId[7] */

static MMIPACKET d018 = {	&phaseMesId[7],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d018d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 268, 107, 338, 122, 0,15, 8,
							MS_NONEL40,
							"IWi",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseDelayMixVolumeId */

static MMIPACKET d019 = {	&phaseDelayMixVolumeId,
							&phaseSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d019d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							 348, 141, 507, 156, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							phaseDelayMixSet,
							  65,   0, 100,   8,   8,
							 265, 266
						} ;

/* phaseMesId[8] */

static MMIPACKET d020 = {	&phaseMesId[8],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d020d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 257, 140, 348, 157, 0,15, 8,
							MS_NONEL40,
							"tF[YVtg",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[9] */

static MMIPACKET d021 = {	&phaseMesId[9],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d021d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 129, 261, 303, 277, 0,15, 8,
							MS_NONEL40,
							"tF[YVtgϒgP",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* phaseMesId[10] */

static MMIPACKET d022 = {	&phaseMesId[10],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d022d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 133, 291, 225, 307, 0,15, 8,
							MS_NONEL40,
							"UiԊuj",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseModu1NumId */

static MMIPACKET d023 = {	&phaseModu1NumId,
							&phaseSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d023d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 231, 288, 296, 311, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  10,   0,1000,   1,   0,
							 263, 264
						} ;

/* phaseSpeed1NumId */

static MMIPACKET d024 = {	&phaseSpeed1NumId,
							&phaseSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d024d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 231, 322, 296, 345, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 200,   0,5000,   1,   2,
							 263, 264
						} ;

/* phaseMesId[11] */

static MMIPACKET d025 = {	&phaseMesId[11],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d025d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 152, 325, 206, 341, 0,15, 8,
							MS_NONEL40,
							"giHzj",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[12] */

static MMIPACKET d026 = {	&phaseMesId[12],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d026d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 144, 359, 228, 375, 0,15, 8,
							MS_NONEL40,
							"ʑixj",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[13] */

static MMIPACKET d027 = {	&phaseMesId[13],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d027d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 351, 292, 443, 307, 0,15, 8,
							MS_NONEL40,
							"UiԊuj",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[14] */

static MMIPACKET d028 = {	&phaseMesId[14],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d028d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 370, 325, 425, 341, 0,15, 8,
							MS_NONEL40,
							"giHzj",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[15] */

static MMIPACKET d029 = {	&phaseMesId[15],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d029d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 362, 359, 446, 375, 0,15, 8,
							MS_NONEL40,
							"ʑixj",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[16] */

static MMIPACKET d030 = {	&phaseMesId[16],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d030d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 346, 261, 522, 277, 0,15, 8,
							MS_NONEL40,
							"tF[YVtgϒgQ",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* phaseStart1NumId */

static MMIPACKET d031 = {	&phaseStart1NumId,
							&phaseSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d031d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 231, 356, 296, 379, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0,   0, 360,   1,   0,
							 263, 264
						} ;

/* phaseModu2NumId */

static MMIPACKET d032 = {	&phaseModu2NumId,
							&phaseSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d032d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 449, 288, 514, 311, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  10,   0,1000,   1,   0,
							 263, 264
						} ;

/* phaseSpeed2NumId */

static MMIPACKET d033 = {	&phaseSpeed2NumId,
							&phaseSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d033d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 449, 322, 514, 345, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							 125,   0,5000,   1,   2,
							 263, 264
						} ;

/* phaseStart2NumId */

static MMIPACKET d034 = {	&phaseStart2NumId,
							&phaseSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d034d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 449, 356, 514, 379, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  90,   0, 360,   1,   0,
							 263, 264
						} ;

/* phaseDelayVolumeId */

static MMIPACKET d035 = {	&phaseDelayVolumeId,
							&phaseSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d035d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							  75, 229, 507, 244, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							phaseDelaySet,
							   0,-200, 200,   1,   8,
							 265, 266
						} ;

/* phaseMainMixNumId */

static MMIPACKET d036 = {	&phaseMainMixNumId,
							&phaseSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d036d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 514, 103, 569, 126, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							phaseMainMixSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  65,   0, 100,   1,   0,
							 263, 264
						} ;

/* phaseDelayMixNumId */

static MMIPACKET d037 = {	&phaseDelayMixNumId,
							&phaseSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d037d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 514, 137, 569, 160, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							phaseDelayMixSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  65,   0, 100,   1,   0,
							 263, 264
						} ;

/* phaseMesId[20] */

static MMIPACKET d038 = {	&phaseMesId[20],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d038d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  98, 214, 318, 229, 0,15, 8,
							MS_NONEL40,
							"|   |   |   |   |   |   |   |   |   |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[19] */

static MMIPACKET d039 = {	&phaseMesId[19],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d039d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 266, 214, 486, 229, 0,15, 8,
							MS_NONEL40,
							"|   |   |   |   |   |   |   |   |   |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[29] */

static MMIPACKET d040 = {	&phaseMesId[29],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d040d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  86, 199, 112, 215, 0,15, 8,
							MS_NONEL40,
							"-400",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[28] */

static MMIPACKET d041 = {	&phaseMesId[28],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d041d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 134, 199, 160, 215, 0,15, 8,
							MS_NONEL40,
							"-300",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[27] */

static MMIPACKET d042 = {	&phaseMesId[27],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d042d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 182, 199, 208, 215, 0,15, 8,
							MS_NONEL40,
							"-200",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[26] */

static MMIPACKET d043 = {	&phaseMesId[26],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d043d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 230, 199, 256, 215, 0,15, 8,
							MS_NONEL40,
							"-100",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[21] */

static MMIPACKET d044 = {	&phaseMesId[21],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d044d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 279, 199, 305, 215, 0,15, 8,
							MS_NONEL40,
							"0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[22] */

static MMIPACKET d045 = {	&phaseMesId[22],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d045d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 326, 199, 352, 215, 0,15, 8,
							MS_NONEL40,
							"100",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[23] */

static MMIPACKET d046 = {	&phaseMesId[23],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d046d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 374, 199, 400, 215, 0,15, 8,
							MS_NONEL40,
							"200",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[24] */

static MMIPACKET d047 = {	&phaseMesId[24],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d047d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 422, 199, 448, 215, 0,15, 8,
							MS_NONEL40,
							"300",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[25] */

static MMIPACKET d048 = {	&phaseMesId[25],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d048d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 470, 199, 496, 215, 0,15, 8,
							MS_NONEL40,
							"400",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* phaseMesId[18] */

static MMIPACKET d049 = {	&phaseMesId[18],
							&phaseSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d049d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 358, 176, 541, 193, 8,15, 8,
							MS_NONEL40,
							"i Ԋu = TvOf[^ j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

